Subject: bug#26164: time-difference mishandles leap seconds

From: Mark H Weaver <[email-masked]>
Date: Mon, 05 Nov 2018 15:46:24 -0500

Zefram <[email-masked]> writes:

> Mark H Weaver wrote:
>>Having said all of this, I should admit that I'm not an expert on time
>>standards,
>
> I am.

Okay, you claim to be one, and maybe you're right, but I've also done a
great deal of research on this recently and in the past, and I'm not yet
convinced.

If you're right that there's still a problem, please post to the SRFI-19
mailing list and engage with the time experts there.  If you can
convince them to change the behavior of 'time-difference' in their
reference implementation, then I'll be glad to merge those changes into
Guile.

     Thanks,
       Mark